package com.blanyal.remindme;

import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.widget.Toolbar;

import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import org.json.JSONObject;

import java.io.File;
import java.io.FileInputStream;
import java.io.InputStream;

public class ReminderReceiveActivity extends AppCompatActivity {
    private Toolbar mToolbar;
    private EditText mTitleText;
    private TextView mDateText, mTimeText, mRepeatText, mRepeatNoText, mRepeatTypeText;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_add_reminder);
        Context context = this;
        // Setup Toolbar
        mToolbar = (Toolbar) findViewById(R.id.toolbar);
        setSupportActionBar(mToolbar);
        getSupportActionBar().setTitle(R.string.activity_add_reminder_label);

        //Get the file from intent
        Intent intent = getIntent();
        Uri fileUri = intent.getData();
        StringBuilder reminderJson=new StringBuilder();
        if (intent.getType().equals("text/"+Utility.FILE_EXTENSION)) {
            try {
                InputStream in =  getContentResolver().openInputStream(fileUri);
                int i;

                while ((i=in.read()) != -1)
                    reminderJson.append((char)i);
                //System.out.println("******************************************************************");
                //System.out.println(sb.toString());
                //System.out.println("******************************************************************");
            } catch (Exception e) {
                e.printStackTrace();
            }

            try {
                JSONObject obj = new JSONObject(reminderJson.toString());
                //Reminder talkingReminder=new Reminder();
                mTitleText = (EditText) findViewById(R.id.reminder_title);
                mDateText = (TextView) findViewById(R.id.set_date);
                mTimeText = (TextView) findViewById(R.id.set_time);
                mRepeatText = (TextView) findViewById(R.id.set_repeat);
                mRepeatNoText = (TextView) findViewById(R.id.set_repeat_no);
                mRepeatTypeText = (TextView) findViewById(R.id.set_repeat_type);

                mTitleText.setText(obj.getString("mTitle"));
                mDateText.setText(obj.getString("mDate"));
                mTimeText.setText(obj.getString("mTime"));
                mRepeatText.setText("Every "+obj.getString("mRepeatNo")+" "+ obj.getString("mRepeatType")+"(s)");
                mRepeatNoText.setText(obj.getString("mRepeatNo"));
                mRepeatTypeText.setText(obj.getString("mRepeatType"));



            }
            catch (Throwable t){
                t.printStackTrace();
            }


            /*Intent senderIntent = new Intent(context, ReminderEditActivity.class);
            senderIntent.putExtra("received", true);
            senderIntent.putExtra("mTitle", "First Receive Reminder test");
            startActivity(senderIntent);*/
        }
    }
}
